"""Adds task to template relation

Revision ID: 099c4273b079
Revises: 03e0b6f36ac4
Create Date: 2019-02-01 11:58:26.110130

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '099c4273b079'
down_revision = '03e0b6f36ac4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('task', sa.Column('template_id', sa.Integer(), nullable=True))
    op.create_foreign_key('fk_task_template_id_task_template', 'task', 'task_template', ['template_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('fk_task_template_id_task_template', 'task', type_='foreignkey')
    op.drop_column('task', 'template_id')
    # ### end Alembic commands ###
